Ruby: ext/socket/constants.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions
constants.c File Reference
`#include "rubysocket.h"`
`#include "constdefs.c"`

Go to the source code of this file.

## Functions
int | rsock_family_arg (VALUE domain)
int | rsock_socktype_arg (VALUE type)
int | rsock_level_arg (int family, VALUE level)
int | rsock_optname_arg (int family, int level, VALUE optname)
int | rsock_cmsg_type_arg (int family, int level, VALUE type)
int | rsock_shutdown_how_arg (VALUE how)
void | rsock_init_socket_constants (void)

## Function Documentation

## ◆ rsock_cmsg_type_arg()

int rsock_cmsg_type_arg | ( | int | family,
|  | int | level,
|  | VALUE | type
| ) |  |

Definition at line 99 of file constants.c.

References IPPROTO_IP, IPPROTO_TCP, IPPROTO_UDP, IS_IP_FAMILY, NUM2INT, rsock_ip_optname_to_int(), rsock_scm_optname_to_int(), rsock_tcp_optname_to_int(), and rsock_udp_optname_to_int().

## ◆ rsock_family_arg()

int rsock_family_arg | ( | VALUE | domain | ) |

Definition at line 42 of file constants.c.

References rsock_family_to_int().

## ◆ rsock_init_socket_constants()

void rsock_init_socket_constants | ( | void |  | ) |

Definition at line 140 of file constants.c.

Referenced by rsock_init_socket_init().

## ◆ rsock_level_arg()

int rsock_level_arg | ( | int | family,
|  | VALUE | level
| ) |  |

Definition at line 56 of file constants.c.

References IS_IP_FAMILY, rsock_ip_level_to_int(), and rsock_unknown_level_to_int().

## ◆ rsock_optname_arg()

int rsock_optname_arg | ( | int | family,
|  | int | level,
|  | VALUE | optname
| ) |  |

Definition at line 68 of file constants.c.

References IPPROTO_IP, IPPROTO_TCP, IPPROTO_UDP, IS_IP_FAMILY, NUM2INT, rsock_ip_optname_to_int(), rsock_so_optname_to_int(), rsock_tcp_optname_to_int(), and rsock_udp_optname_to_int().

## ◆ rsock_shutdown_how_arg()

int rsock_shutdown_how_arg | ( | VALUE | how | ) |

Definition at line 130 of file constants.c.

References rsock_shutdown_how_to_int().

## ◆ rsock_socktype_arg()

int rsock_socktype_arg | ( | VALUE | type | ) |

Definition at line 49 of file constants.c.

References rsock_socktype_to_int().